Subject: Re: [PATCH net-next 0/3] icmp: Add RFC 5837 support

From: Ido Schimmel <[email-masked]>
Date: Thu, 23 Oct 2025 14:19:13 +0300

On Wed, Oct 22, 2025 at 11:29:20AM -0600, David Ahern wrote:
> For the set:
> Reviewed-by: David Ahern <[email-masked]>

Thanks!

> Did you try testing this with an older kernel versions on the receiving
> side of the icmp packet? ie., making sure older code does not have a bad
> reaction to the extra data in the icmp.

I didn't touch the ICMP receive path so I don't expect any regressions
there. The only open question there is if the kernel will be able to
correctly parse the ICMP extensions when the IP{,6}_RECVERR_RFC4884
socket options are used, but like I told Willem, I don't expect any
problems given that traceroute, wireshark and tcpdump parse these
packets just fine [1].

[1] https://lore.kernel.org/netdev/aPnw2PkF3ZMP9EJr@shredder/